---
sidebar_label: JSHandle.getProperty_1
---

# JSHandle.getProperty() method

**Signature:**

```typescript
class JSHandle {
  getProperty(propertyName: string): Promise<JSHandle<unknown>>;
}
```

## Parameters

| Parameter    | Type   | Description |
| ------------ | ------ | ----------- |
| propertyName | string |             |

**Returns:**

Promise&lt;[JSHandle](./puppeteer.jshandle.md)&lt;unknown&gt;&gt;
